You are not logged in.

#1 2013-01-22 03:47:11

gay
Member
Registered: 2012-12-16
Posts: 73

[SOLVED] enlightenment17 fails on enlightenment_start

Hi all,

recently did a system update; among other things e17 was upgraded (to 0.17.0-1) but also several other things.

~/.xinitrc

exec enlightenment_start

doing startx starts X, then attempts to start enlightenment, then X fails:

/usr/bin/enlightenment: error while loading shared libraries: libudev.so.0: cannot open shared object file: No such file or directory
xinit: connection to X server lost

... which is odd. libudev.so.0 has been updated to libudev.so.1 but the up-to-date enlightenment17 insists on using libudev.so.0. libudev.so.X is owned by systemd, in my case (should be up to date), systemd 197-4

just trying if libudev.so.0 and libudev.so.1 are maybe not so different after all and it works with just setting a softlink (admittedly a very dirty fix) ln /usr/lib/libudev.so.1 /usr/lib/libudev.so.0 does not bring any success, now

/usr/bin/enlightenment: symbol lookup error: /usr/lib/libelementary.so.1: undefined symbol: ECORE_X_ATOM_E_ILLUME_CLIPBOARD_STATE
xinit: connection to X server lost

libelementary is some enlightenment17 library file. it appears it contains a symbol that is defined in libudev.so.0 but not in the current version libudev.so.1

any ideas? if i'm not gravely mistaken i should not be the only one having this problem, right? does e17 still work for you? if so, how did you manage to get it to work?

Last edited by gay (2013-01-22 12:00:44)


We are exactly the people our parents always warned us about.

Offline

#2 2013-01-22 04:40:58

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,130

Re: [SOLVED] enlightenment17 fails on enlightenment_start

Sounds to me like e17 wasn't actually updated. Was there any errors during install? How about with all of the Enlightenment libraries?

Last edited by Scimmia (2013-01-22 04:49:03)

Offline

#3 2013-01-22 05:25:54

gay
Member
Registered: 2012-12-16
Posts: 73

Re: [SOLVED] enlightenment17 fails on enlightenment_start

Thanx, Scimmia, for responding.

e17 was updated. you can see from https://www.archlinux.org/packages/extr … tenment17/ that the version number I gave above (0.17.0-1) indicates that it is up to date. there were no error messages regarding e17.


We are exactly the people our parents always warned us about.

Offline

#4 2013-01-22 05:43:05

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,130

Re: [SOLVED] enlightenment17 fails on enlightenment_start

Regardless of the package version that's supposedly installed, if ldd /usr/bin/enlightenment | grep udev really says that it's linked to libudev.so.0, it's not up to date. I just checked the release version in the Extra repo, it is linked to libudev.so.1.

The symbol you mentioned has nothing to do with udev, it's within the EFL (Enlightenment Foundation Libraries). Your versions of the libraries do not match, either.

Reinstall enlightenment17, elementary, ecore, e_dbus, edje, eet, eeze, efreet, eina, eio, embryo, emotion, ethumb, & evas.

Last edited by Scimmia (2013-01-22 05:48:37)

Offline

#5 2013-01-22 12:00:21

gay
Member
Registered: 2012-12-16
Posts: 73

Re: [SOLVED] enlightenment17 fails on enlightenment_start

Thank you, Scimmia.

You were right. I still had the old aur versions of a couple of those packages. They had therefore not been updated by 'pacman -Syvu'. e17 is now working again. thanks very much,


We are exactly the people our parents always warned us about.

Offline

Board footer

Powered by FluxBB